#include "common.hpp"
#include <iostream>
#include <sstream>
using namespace std;
extern char** global_argv;
extern int global_argc;
void ShowDebug(std::string url, std::string result, bool success, std::string decoded) {

	std::ostringstream stream;
	for (int i = 0; i < global_argc; ++i) {
		if (i) stream << ' ';
		stream << global_argv[i];
	}
	std::string cmdstring = stream.str();
	cout << "---------------DEBUG---------------" << endl;
	cout << "command: " << cmdstring << endl;
	cout << "success: " << success << endl;
	cout << "url: " << url << endl;
	cout << "Result: " << endl << result << endl;
	cout << "Payload: " << endl << decoded << endl;
	cout << "---------------END DEBUG---------------" << endl;
}